Update Customer
Updates customer information
Path
PATCH /api/v3/customers/{customerNumber}/updateCustomer Request Parameters
customerNumber
required
string
Request Body
application/json
distributionType
string
Enum:
- Paper
- Sms
How information (invoices, notices, etc.) will be distributed to customer.
email
string
Max length: 255
Email. Required if distributionType is 'Email'.
mobilePhone
string
Max length: 20
Mobile phone. International format including country prefix. Required if distributionType is 'Sms'.
Responses
-
-
typestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an error -
-
-
-
Request Example
{
"email": "astrid.svensson@example.com",
"mobilePhone": "76543210",
"distributionType": "Email"
}
Response Example
{}